package LasTres::Planet::Bahdder::BosqueDelHeroe::BosqueDelHeroeI::TribuDeLaLima;

use v5.36.0;

use strict;
use warnings;
use utf8;

use Moo;

use LasTres::Planet::Bahdder::BosqueDelHeroe::BosqueDelHeroeI;

with 'LasTres::Location';

sub identifier {
    return 'tribu_de_la_lima';
}

sub name {
    return 'Tribu de la Lima (Exterior)';
}

sub description {
    return 'La Tribu de la Lima se siente como un hogar seas o no de aquí. ' 
        . 'Las casitas están improvisadas con paja que los aldeanos intercambian con otras tribus. '
        . 'Los cultivos de lima están siempre buscando trabajadores, el sueldo es una parte de lo cosechado. ';
}

sub parent {
    return LasTres::Planet::Bahdder::BosqueDelHeroe::BosqueDelHeroeI->instance;
}

sub actions {
    return [];
}

sub npcs {
    return [];
}

sub connected_places {
    return [
        LasTres::Planet::Bahdder::BosqueDelHeroe::TribuDeLaLima::Entrada->instance,
    ];
}

my $singleton;
sub instance {
    my $class = shift;
    if (!defined $singleton) {
        $singleton = $class->new(@_);
    }
    return $singleton;
}
1;
